Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class ScrollType

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.ScrollType

public class ScrollType
extends MarkupElement

A ScrollType object is used to describe if an htmlKona FrameElement should have scrollbars. There are three variables in this class; yes means that scrollbars are always visible, no means that scrollbars are never visible, and auto instructs the browser to turn on scrollbars when necessary. Default is auto.

Version:
  2.1
Author:
  Copyright (c) 1995-1998 WebLogic, Inc., Copyright (c) 1998-2000 BEA Systems, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FrameElement`

Field Summary
`static ScrollType` | `auto` Sets scroll bars (horizontal and vertical) so that they are visible if needed to be able to view the entire contents of a frame.
`static ScrollType` | `no` Sets scroll bars (horizontal and vertical) so that they are never visible.
`static ScrollType` | `yes` Sets scroll bars (horizontal and vertical) so that they are always visible.

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`ScrollType(java.lang.String str)` Constructs a ScrollType object with the specified String ( yes, no, auto).

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### yes

    public static ScrollType yes

  Sets scroll bars (horizontal and vertical) so that they are always visible.

### no

    public static ScrollType no

  Sets scroll bars (horizontal and vertical) so that they are never visible.

### auto

    public static ScrollType auto

  Sets scroll bars (horizontal and vertical) so that they are visible if needed to be able to view the entire contents of a frame.

Constructor Detail

### ScrollType

    public ScrollType(java.lang.String str)

  Constructs a ScrollType object with the specified String ( yes, no, auto).

  See Also:
    `FrameElement.setScrolling(ScrollType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD